var aLocales =["en_CA", "fr_CA"];
var currentLocale = "fr_CA";

Event.observe(window, 'load', function() { 
	var baseURL = "I18nSupportServlet";
	
	setLabels();
	
	$('btnToggleLanguage').observe('click', function(event) { 
	    currentLocale=(currentLocale=="en_CA" ? "fr_CA" : "en_CA");
		setLabels();
	});
	
	$('cboLanguage').observe('change', function(event) { 
	    currentLocale=$F(Event.element(event));
		setLabels();
	});
	
	function setLabels()
	{ 
		var url = baseURL + "?action=fetch_label&key=welcome&locale=" + currentLocale;
		AjaxCall(url, function(response) { $('welcome').innerHTML = response; });
		
		//update the button text
		url = baseURL + "?action=fetch_label&key=toggle_language&locale=" + currentLocale;
		AjaxCall(url, function(response) { $('btnToggleLanguage').value = response; });
	
		//update the combobox items
		var aKeys = $A( $('cboLanguage').getElementsByTagName('option') ).pluck('value');
		url = baseURL + "?action=change_locale&keys=" + aKeys.toJSON() + "&locale=" + currentLocale;
		AjaxCall(url, function(response) { 
			//prototype way: person = 'grabUserPassword()'.evalJSON(true); 
			json_parse(response, function (key, value) {
				var opt = $('cboLanguage').getElementsBySelector("[value="+key+"]").first();
				if (opt !== undefined) opt.text = value;
			});
		}); 
	}
	
	function AjaxCall(url, callBackFunction)
	{
		new Ajax.Request(url, 
	   	{   method: 'get',   
	   		onSuccess: function(transport) {     
	   			var response = transport.responseText;

	   			if (!response.length)
			    {
			        return;
			    }
			    //display error message
			    else if ( /^".+"&/.test(response) ) 
			    {
			        alert( response.replace(/^"|"$/, "") );
			    }
			    else
			    {
					callBackFunction(response);
			    }
	   		} 
	   	}); 	
	}
	
	/*
	
	$('lstLanguage').observe('change', function(event) {   
		//var element = Event.element(event);   
	    var url = baseURL+"?action=change_locale&locale=" + $F('lstLanguage');
	    alert(url);
	    new Ajax.Request(url, 
	   	{   method: 'get',   
	   		onSuccess: function(transport) {     
	   			var response = transport.responseText;
	   			alert(response);
	   			if (!response.length)
			    {
			        return;
			    }
			    //display error message
			    else if ( /^".+"&/.test(response) ) 
			    {
			        alert( response.replace(/^"|"$/, "") );
			    }
			    else
			    {
			        var jsonObj;
			        try
			        {
			             jsonObj = json_parse(response);        
			        }
			        catch(e)
			        {
			            var prop;
			            var msg = "An error occurred while parsing the JSON-formatted responseText:\n";
			            //caught a SyntaxError exception
			            for (prop in e)
			            {
			                msg += prop + ": " + e[prop] + "\n";
			            }
			
			            alert(msg);
			
			            return;
			        }
					
					$('Button').value = jsonObj.edit;
			    }
	   		} 
	   	}); 
	}); */
});



